为嘛安装了(vagrant up), 就报了这个错呀

default: make[1]: Leaving directory '/opt/gopath/src/github.com/hyperledger/fabric/gotools'
    default: make[1]: *** [/opt/gopath/src/github.com/hyperledger/fabric/gotools/build/gopath/bin/golint] Error 2
    default: Makefile:115: recipe for target 'gotools' failed
    default: make: *** [gotools] Error 2
The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.

岗雍木措

赞同来自:

我也遇到过,解决办法 export fabric_path=~/gopath/fabric mkdir -p $fabric_path/gotools/build/gopath/src/golang.org/x/ git clone https://github.com/golang/tools.git mv tools $fabric_path/gotools/build/gopath/src/golang.org/x/ cd $fabric_path/devenv vagrant destroy vagrant up

岗雍木措

赞同来自:

除了下tools,还需要把lint也下载到本地来,也可以在github上面找到,不然也要报错
1521015811215.png
 

封尘 - 如:80后IT男..

赞同来自:

这个link下载下来,只要和tools放在一起,需要配置么?

岗雍木措

赞同来自:

不需要

封尘 - 如:80后IT男..

赞同来自:

那在什么时候使用呀? 下载下来,自动被引用吗?

岗雍木措

赞同来自:

UP过程中会自动用本地的,不去官网找,可能官网找不到

封尘 - 如:80后IT男..

赞同来自:

本地不配置, 会在本地找吗?   我再试下

封尘 - 如:80后IT男..

赞同来自:

1521017502166.png
 现在已有了一个lint 我再下个tools 不知道这个lint和tools是否是同一版本了

兰锦生lvz

赞同来自:

@封尘 这个问题你解决了没?我也出现这个问题,按上面步骤做了,还是出现一样问题。

要回复问题请先登录注册